package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.JavaSourceToStringGenerator;

public abstract class JavaSourceNode {
	
	public Comment comment;	//may be null
	
	public abstract void generateUsing(JavaSourceGenerator gen);

	/**
	 * return if the node is a real instruction or just a comment for example
	 * @return
	 */
	public boolean isNoOp() {
		//default value
		return false;
	}
	
	public final String toString(){
		JavaSourceToStringGenerator gen = new JavaSourceToStringGenerator();
		return gen.toString(this);
	}
}
