package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;



public class LabelStatement extends Statement {
	
	public char[] label;
	public Statement blockStatement;
	
	public LabelStatement(char[] label, Statement blockStatement) {
		this.label = label;
		this.blockStatement = blockStatement;
	}

	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateLabelStatement( this);
		
	}
	
	

}
