package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.expressions.MessageSend;

public class ReturnStatement extends Statement {

	/**
	 * May be null (when method returns void)
	 */
	public Expression result;
	
	public MessageSend previousStatement;	// if return on a type void method some
	//statement should be evalute before the return 
	//(for example post condition and IceteaRuntimeSupport.i2j_return)
	//TODO find a most elegant solution for return on a void method with postcondition ...
	
	public ReturnStatement(){}
	public ReturnStatement(Expression result){
		this.result = result;
	}
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateReturnStatement(this);
	}

}
