package com.is2t.java.nodes;


import com.is2t.java.JavaSourceGenerator;

/**
 * Just a Wrapper on several declaration
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class ComposeFieldOrLocalDeclaration extends Statement {
		
	public AbstractVariableDeclaration[] declarations;	//size >=1
	
	public ComposeFieldOrLocalDeclaration( AbstractVariableDeclaration[] declarations) {
		//assure that declarations.length >= 1
		this.declarations= declarations;
	}

	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateComposeFieldOrLocalDeclaration( this);

	}
}
