package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

public class BinaryExpression extends Expression {

	public int operator;		// not null
	public Expression left;		// not null
	public Expression right;	// not null
	
	public BinaryExpression( int operator, Expression left, Expression right) {
		this.right = right;
		this.left = left;
		this.operator = operator;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateBinaryExpression( this);
		
	}
	
}
