/*
 * Java
 *
 * Copyright 2010-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.is2t.microbsp.microui.natives;

public class NSystemPump {

	private NSystemPump() {
		// not entry point
	}

	public static native void initialize();

	public static native int setTraceGroupID(int groupID, int eventID);

	public static native void start();

	public static native boolean add(int event);

	public static native int read();

	public static native void interrupt();

	public static native void clearQueue();

	public static native int getEvent();

	/**
	 * @param event
	 * @param b
	 * @return
	 */
	public static native int manageKernelEvent(int newEvent, int mask, boolean addIfNotAvailable);

}
