/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.microui.event;

/**
 * MICROWT-API An event handler is intended to receive and handle events.
 * <p>
 * In the MVC pattern it is the controller.
 */
public interface EventHandler {

	/**
	 * MICROWT-API Handles an event.
	 *
	 * @param event
	 *            the event to handle.
	 * @return <code>true</code> if the event is consumed, <code>false</code> otherwise.
	 */
	boolean handleEvent(int event);

}
